diff -r 700560884da7 lib/galaxy/visualization/registry.py
--- a/lib/galaxy/visualization/registry.py	Mon Aug 11 11:07:34 2014 -0400
+++ b/lib/galaxy/visualization/registry.py	Thu Aug 28 09:54:09 2014 -0400
@@ -228,14 +228,14 @@
         Run a visualization's data_source tests to find out if
         it can be applied to the target_object.
         """
-        #log.debug( 'is_object_applicable( self, trans, %s, %s )', target_object, data_source_tests )
+        log.debug( 'is_object_applicable( self, trans, %s, %s )', target_object, data_source_tests )
         for test in data_source_tests:
             test_type   = test[ 'type' ]
             result_type = test[ 'result_type' ]
             test_result = test[ 'result' ]
             test_fn     = test[ 'fn' ]
-            #log.debug( '%s %s: %s, %s, %s, %s', str( target_object ), 'is_object_applicable',
-            #           test_type, result_type, test_result, test_fn )
+            log.debug( '%s %s: %s, %s, %s, %s', str( target_object ), 'is_object_applicable',
+                       test_type, result_type, test_result, test_fn )
 
             if test_type == 'isinstance':
                 # parse test_result based on result_type (curr: only datatype has to do this)
@@ -246,14 +246,14 @@
                     if not test_result:
                         # but continue (with other tests) if can't find class by that name
                         #if self.debug:
-                        #    log.warn( 'visualizations_registry cannot find class (%s)' +
-                        #              ' for applicability test on: %s, id: %s', datatype_class_name,
-                        #              target_object, getattr( target_object, 'id', '' ) )
+                        log.warn( 'visualizations_registry cannot find class (%s)' +
+                                  ' for applicability test on: %s, id: %s', datatype_class_name,
+                                  target_object, getattr( target_object, 'id', '' ) )
                         continue
 
             #NOTE: tests are OR'd, if any test passes - the visualization can be applied
             if test_fn( target_object, test_result ):
-                #log.debug( '\t test passed' )
+                log.debug( '\t test passed' )
                 return True
 
         return False
